<!DOCTYPE html>
<html>

<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title>ShortMe - Shorten URL that will never expire...</title>
    <link rel="shortcut icon" href="images/fav_icon.png" type="image/x-icon">
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/font-awesome/4.7.0/css/font-awesome.min.css">
    <link href="https://fonts.googleapis.com/css?family=Open+Sans:300,400,700" rel="stylesheet">
    <!-- Bulma Version 0.7.4-->
    <link rel="stylesheet" href="https://unpkg.com/bulma@0.7.4/css/bulma.min.css" />
    <link rel="stylesheet" type="text/css" href="css/shortme.css">
</head>

<body>
    <section class="hero is-primary is-bold">
        <div class="hero-head">
            <nav class="navbar">
                <div class="container">
                    <div class="navbar-brand">
                        <p class="title is-3">ShortMe</p>
                        <span class="navbar-burger burger" data-target="navbarMenuHeroB">
                            <span></span>
                            <span></span>
                            <span></span>
                        </span>
                    </div>
                    <div id="navbarMenuHeroB" class="navbar-menu">
                        <div class="navbar-end">
                            <span class="navbar-item">
                              <a class="button is-info is-inverted" href="/">
                                    <span class="icon">
                                        <i class="fa fa-home fa-fw" aria-hidden="true"></i>
                                    </span>
                                    <span>Home</span>
                                </a>
                            </span>
                        </div>
                    </div>
                </div>
            </nav>
        </div>

        <div class="container">
            <p class="subtitle is-4">Shorten URL Statistics (UTC Time)</p>
        </div>

        <div class="column"></div>

        <div class="hero-foot">
            <nav class="tabs is-boxed">
                <div class="container">
                    <div class="columns is-mobile">
                        <div class="column">
                            <ul>
                                <li {{!'class="is-active"' if viewactive == "today" else ""}}><a href="/stats/{{shorthash}}/today">Today</a></li>
                                <li {{!'class="is-active"' if viewactive == "week" else ""}}><a href="/stats/{{shorthash}}/week">Week</a></li>
                                <li {{!'class="is-active"' if viewactive == "month" else ""}}><a href="/stats/{{shorthash}}/month">Month</a></li>
                                <li {{!'class="is-active"' if viewactive == "year" else ""}}><a href="/stats/{{shorthash}}/year">Year</a></li>
                            </ul>
                        </div>
                    </div>
                </div>
            </nav>
        </div>
    </section>

    <div class="column"></div>

    <div class="container is-fluid">
        <div class="columns is-mobile">
            <div class="column">
                <div class="box">
                    <p class="title is-5">Original URL</p>
                    <p class="subtitle is-6">{{longurl}}</p>
                </div>
            </div>
            <div class="column is-one-quarter">
                <div class="box">
                    <p class="title is-5">Short URL</p>
                    <p class="subtitle is-6">{{shorturl}}</p>
                </div>
            </div>
            <div class="column is-narrow">
                <div class="box">
                    <p class="title is-5">Clicks</p>
                    <p class="subtitle is-6">{{clickstotal}}</p>
                </div>
            </div>
        </div>

        <div class="columns is-mobile">
            <div class="column">
                <div class="box">
                    <p class="title is-5">Clicks</p>
                    <canvas id="bar-chart-clicks" width="400" height="225"></canvas>
                </div>
            </div>
            <div class="column">
                <div class="box">
                    <p class="title is-5">Referrers</p>
                    <canvas id="doughnut-chart-referers" width="400" height="225"></canvas>
                </div>
            </div>
         </div>

        <div class="columns is-mobile">
            <div class="column">
                <div class="box">
                    <p class="title is-5">Browsers</p>
                    <canvas id="bar-chart-browser" width="400" height="225"></canvas>
                </div>
            </div>
            <div class="column">
                <div class="box">
                    <p class="title is-5">Operating Systems</p>
                    <canvas id="bar-chart-os" width="400" height="225"></canvas>
                </div>
            </div>
        </div>
    </div>

    <div class="column "></div>

    <footer class="footer">
            <div class="container">
              <div class="content has-text-centered">
                <p>
                  <strong>ShortMe</strong> by <a href="https://gitlab.com/Fahmi.Salleh">Fahmi Salleh</a>. The source code is licensed
                  <a href="https://opensource.org/licenses/mit-license.php" class="is-warning">MIT</a>. The website content
                  is licensed <a href="http://creativecommons.org/licenses/by-nc-sa/4.0/">CC ANS 4.0</a>.
                </p>
              </div>
            </div>
    </footer>

    <script src="https://cdnjs.cloudflare.com/ajax/libs/Chart.js/2.5.0/Chart.min.js"></script>
    <script>
        %setdefault('item', '')
        // Bar chart
        new Chart(document.getElementById("bar-chart-clicks"), {
            type: 'bar',
            data: {
                labels: [
                        %for item in clickslabel:
                            "{{item}}",
                        %end
                        ],
                datasets: [
                    {
                    label: "Clicks",
                    backgroundColor: ["#490A3D", "#BD1550","#E97F02","#F8CA00","#8A9B0F","#556270","#4ECDC4","#C7F464","#FF6B6B","#C44D58","#A3A948","#EDB92E","#F85931","#CE1836","#009989","#554236", "#F77825","#D3CE3D","#F1EFA5","#60B99A","#554236", "#F77825","#D3CE3D","#F1EFA5"],
                    data: [
                        %for item in clicksdata:
                            "{{item}}",
                        %end
                        ]
                    }
                ]
            },
            options: {
                legend: { display: false },
                title: {
                    display: true,
                    text: '{{clickstitle}}'
                },
                scales: {
                    xAxes: [{
                        scaleLabel: {
                            display: true,
                            labelString: '{{clicksxaxes}}'
                        }
                    }]
                }
            }
        });

        new Chart(document.getElementById("doughnut-chart-referers"), {
            type: 'doughnut',
            data: {
            labels: [
                    %for item in reflabel:
                        "{{item}}",
                    %end
                    ],
            datasets: [
                {
                label: "Clicks",
                backgroundColor: ["#556270", "#4ECDC4","#C7F464","#FF6B6B","#C44D58","#8A9B0F"],
                data: [
                        %for item in refdata:
                            "{{item}}",
                        %end
                      ]
                }
            ]
            },
            options: {
            title: {
                display: true,
                text: 'Clicks by refferer'
            }
            }
        });

        new Chart(document.getElementById("bar-chart-browser"), {
            type: 'horizontalBar',
            data: {
            labels: [
                %for item in browserlabel:
                    "{{item}}",
                %end
                    ],
            datasets: [
                {
                label: "Clicks",
                backgroundColor: ["#A3A948", "#EDB92E","#F85931","#CE1836","#009989"],
                data: [
                    %for item in browserdata:
                        "{{item}}",
                    %end
                      ]
                }
            ]
            },
            options: {
            legend: { display: false },
            title: {
                display: true,
                text: 'Clicks by browser'
            }
            }
        });

        new Chart(document.getElementById("bar-chart-os"), {
            type: 'horizontalBar',
            data: {
            labels: [
                    %for item in oslabel:
                        "{{item}}",
                    %end
                    ],
            datasets: [
                {
                label: "Clicks",
                backgroundColor: ["#554236", "#F77825","#D3CE3D","#F1EFA5","#60B99A"],
                data: [
                    %for item in osdata:
                        "{{item}}",
                    %end
                ]
                }
            ]
            },
            options: {
            legend: { display: false },
            title: {
                display: true,
                text: 'Clicks by operating systems'
            }
            }
        });

        new Chart(document.getElementById("pie-chart-platform"), {
            type: 'pie',
            data: {
            labels: ['Africa', 'Asia', 'Europe', 'Latin America', 'North America'],
            datasets: [{
                label: "Clicks",
                backgroundColor: ["#3e95cd", "#8e5ea2","#3cba9f","#e8c3b9","#c45850"],
                data: [2478,5267,734,784,433]
            }]
            },
            options: {
            title: {
                display: true,
                text: 'Visitor by platforms weekly'
            }
            }
        });
    </script>

</body>
</html>
